Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.share
Class AbstractShareAgent

    java.lang.Object
      madkit.kernel.AbstractAgent
          madkit.kernel.Agent
              madkit.share.AbstractShareAgent

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable

Direct Known Subclasses:
  PluginShareAgent, ShareAgent

    public class AbstractShareAgent

extends Agent

Author:
  Jaco To change the template for this generated type comment go to Window>Preferences>Java>Code Generation>Code and Comments
See Also:
  Serialized Form

Field Summary
`java.lang.String` | `madkitDirectory`

Constructor Summary
`AbstractShareAgent()`

Method Summary
`void` | `activate()` This method is initially called when the micro-kernel registers the agent.
`void` | `addPaquetOnQueue(java.util.Vector v)`
`void` | `addUpdatedFile(java.util.Vector v)`
`void` | `AskUserUpdatedFile(java.lang.String virtualPath, java.lang.String serverName, long lastModified)`
`void` | `checkUpdatedFile(DirEntry dir, AgentAddress serverAddress)`
`void` | `createSmallShareAgentForResumeFile()`
`void` | `end()` This method is called by the agent micro-kernel at the end of the agent lifecycle.
`protected void` | `executeServer(AgentAddress addr)`
`javax.swing.JRootPane` | `getDisplay()`
`FileMaj` | `getFileMaj()`
`java.lang.String` | `getGroupName()`
`int` | `getMaxSize()`
`int` | `getTimeout()`
`void` | `initDir()`
`void` | `initGUI()` This method is called by the specific external graphic system (as the G-Box) to ask the agent to prepare a graphical interface.
`void` | `live()` This method defines the main behavior for threaded agents.
`void` | `loadSettings()`
`boolean` | `removePaquetOnQueue(java.lang.String p, AgentAddress a, int s, int e)`
`boolean` | `removeSmallShareAgent(SmallShareAgent ssa)`
`void` | `setGroupName(java.lang.String n)`
`void` | `setLive(boolean b)`
`void` | `setMaxSize(int s)`
`void` | `setTimeout(int t)`
`void` | `showUpdateTable()`

Methods inherited from class madkit.kernel.Agent
`connectAgencyToAgency, createPlace, createPlace, enableMobility, enableMobility, exitImmediatlyOnKill, getAgencyNamed, joinPlace, joinPlace, joinPlace, pause, receiveMessage, run, waitNextMessage, waitNextMessage`

Methods inherited from class madkit.kernel.AbstractAgent
`broadcastMessage, broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, disposeMyGUI, foundGroup, getAddress, getAgentInformation, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, println, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, sendMessage, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### madkitDirectory

    public java.lang.String madkitDirectory

Constructor Detail

### AbstractShareAgent

    public AbstractShareAgent()

Method Detail

### getGroupName

    public java.lang.String getGroupName()

### setGroupName

    public void setGroupName(java.lang.String n)

### getDisplay

    public javax.swing.JRootPane getDisplay()

### setLive

    public void setLive(boolean b)

### setTimeout

    public void setTimeout(int t)

### setMaxSize

    public void setMaxSize(int s)

### getTimeout

    public int getTimeout()

### getMaxSize

    public int getMaxSize()

### getFileMaj

    public FileMaj getFileMaj()

### initGUI

    public void initGUI()

  Description copied from class: `AbstractAgent`
  This method is called by the specific external graphic system (as the G-Box) to ask the agent to prepare a graphical interface. The agent developper should use a setGUIObject(...) within this method, as well as other necessary initializations. If the developper does not overload this method, a vanilla text output might be used as the default interface.

  Overrides:
    `initGUI` in class `AbstractAgent`

### activate

    public void activate()

  Description copied from class: `AbstractAgent`
  This method is initially called when the micro-kernel registers the agent. Usually a good place to set up some initial groups and roles.

  Overrides:
    `activate` in class `AbstractAgent`

### live

    public void live()

  Description copied from class: `Agent`
  This method defines the main behavior for threaded agents.

  Overrides:
    `live` in class `Agent`

### end

    public void end()

  Description copied from class: `AbstractAgent`
  This method is called by the agent micro-kernel at the end of the agent lifecycle. If the the agent is killed from the outside, it is the last opportunity for the agent to cleanly shutdown its operations.

  Overrides:
    `end` in class `AbstractAgent`

### initDir

    public void initDir()

### addPaquetOnQueue

    public void addPaquetOnQueue(java.util.Vector v)

### addUpdatedFile

    public void addUpdatedFile(java.util.Vector v)

### removePaquetOnQueue

    public boolean removePaquetOnQueue(java.lang.String p,
                                       AgentAddress a,
                                       int s,
                                       int e)

### removeSmallShareAgent

    public boolean removeSmallShareAgent(SmallShareAgent ssa)

### AskUserUpdatedFile

    public void AskUserUpdatedFile(java.lang.String virtualPath,
                                   java.lang.String serverName,
                                   long lastModified)

### checkUpdatedFile

    public void checkUpdatedFile(DirEntry dir,
                                 AgentAddress serverAddress)

### createSmallShareAgentForResumeFile

    public void createSmallShareAgentForResumeFile()

### showUpdateTable

    public void showUpdateTable()

### loadSettings

    public void loadSettings()

### executeServer

    protected void executeServer(AgentAddress addr)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.